#ifndef MY_DS3231
#define MY_DS3231

// CPU-Clock = 4MHz, TWI-Clock = 100 kHz
#define INIT_TWBR           TWBR = 12;

// Übergabe-, Rückgabewerte Funktionen (DS Registernamen/Adressen)
typedef enum uint8_t
{
  DS_SECONDS=0x00,
  DS_MINUTES=0x01,
  DS_HOURS=0x02,
  DS_DAY=0x03,
  DS_DATE=0x04,
  DS_MONTH=0x05,
  DS_YEAR=0x06
} DS_REG;

// ---------------------------------------------------------------------------------------------------------------------
// Funktionen

// Lesen, schreiben von Registern Datenformat  = PackedBCD
uint8_t DSReadRegister (DS_REG Register);
void DSWriteRegister (DS_REG Register, uint8_t Wert);
// ---------------------------------------------------------------------------------------------------------------------
#endif

