#ifndef MY_TIMER0
#define MY_TIMER0

// Timer0-Clock = CPU-Clock (4MHz) / 1024 = 3906,25 Hz... Timer0Overflow alle 65,536 ms
#define INIT_TIMER0         TCCR0 = 0b00000101; \
                            TIMSK |= (1<<TOIE0);
// ---------------------------------------------------------------------------------------------------------------------
// Funktionen

// Startet den 1-Stunden-Timer
void ticker_start (void);

// Fragt den Status des 1-Stunden-Timers ab und gibt Statuskonstannte zurück
#define TICKER_TIMEOUT  0
#define TICKER_COUNT    1
uint8_t ticker_get_status (void);
// ---------------------------------------------------------------------------------------------------------------------
#endif

